Page MenuHomePhabricator

Add support for Filtering keyword
Closed, ResolvedPublic

Description

Basic keywords that populate the set of filters in the query.
Existing keywords will be able to implement a new interface FilterQueryFeature and return the elastic query corresponding to what has been parsed and expanded.

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterAdd support for filtering keywords
mediawiki/extensions/CirrusSearch : masterForce filtering keywords to be FilterQueryFeature
mediawiki/extensions/GeoData : master[cirrus] Add support for FilterQueryFeature
mediawiki/extensions/Wikibase : master[cirrus] Add support for FilterQueryFeature

Event Timeline

dcausse triaged this task as Medium priority.May 28 2018, 5:31 PM
dcausse created this task.
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptMay 28 2018, 5:31 PM
dcausse updated the task description. (Show Details)May 28 2018, 5:31 PM

Change 435812 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Add support for filtering keywords

https://gerrit.wikimedia.org/r/435812

Change 435815 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/GeoData@master] [cirrus] Add support for FilterQueryFeature

https://gerrit.wikimedia.org/r/435815

Change 435833 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/Wikibase@master] [cirrus] Add support for FilterQueryFeature

https://gerrit.wikimedia.org/r/435833

Change 436588 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Force filtering keywords to be FilterQueryFeature

https://gerrit.wikimedia.org/r/436588

Change 435812 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Add support for filtering keywords

https://gerrit.wikimedia.org/r/435812

Change 435833 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] [cirrus] Add support for FilterQueryFeature

https://gerrit.wikimedia.org/r/435833

Change 435815 merged by jenkins-bot:
[mediawiki/extensions/GeoData@master] [cirrus] Add support for FilterQueryFeature

https://gerrit.wikimedia.org/r/435815

Change 436588 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Force filtering keywords to be FilterQueryFeature

https://gerrit.wikimedia.org/r/436588

debt closed this task as Resolved.Jun 14 2018, 8:14 PM
Vvjjkkii renamed this task from Add support for Filtering keyword to r4baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed dcausse as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from r4baaaaaaa to Add support for Filtering keyword.Jul 2 2018, 3:22 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to dcausse.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.